org.bdgenomics.adam.sql

# AlignmentRecord

###
Related Docs: object AlignmentRecord | package sql

#### class AlignmentRecord extends Product

Linear Supertypes
Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AlignmentRecord
2. Product
3. Equals
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new AlignmentRecord(readInFragment: Option[Int], contigName: Option[String], start: Option[Long], oldPosition: Option[Long], end: Option[Long], mapq: Option[Int], readName: Option[String], sequence: Option[String], qual: Option[String], cigar: Option[String], oldCigar: Option[String], basesTrimmedFromStart: Option[Int], basesTrimmedFromEnd: Option[Int], readPaired: Option[Boolean], properPair: Option[Boolean], readMapped: Option[Boolean], mateMapped: Option[Boolean], failedVendorQualityChecks: Option[Boolean], duplicateRead: Option[Boolean], readNegativeStrand: Option[Boolean], mateNegativeStrand: Option[Boolean], primaryAlignment: Option[Boolean], secondaryAlignment: Option[Boolean], supplementaryAlignment: Option[Boolean], mismatchingPositions: Option[String], origQual: Option[String], attributes: Option[String], recordGroupName: Option[String], recordGroupSample: Option[String], mateAlignmentStart: Option[Long], mateContigName: Option[String], inferredInsertSize: Option[Long])

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### val attributes: Option[String]

6. #### val basesTrimmedFromEnd: Option[Int]

7. #### val basesTrimmedFromStart: Option[Int]

8. #### def canEqual(that: Any): Boolean

   Definition Classes
     AlignmentRecord → Equals

9. #### val cigar: Option[String]

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### val contigName: Option[String]

12. #### val duplicateRead: Option[Boolean]

13. #### val end: Option[Long]

14. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

16. #### val failedVendorQualityChecks: Option[Boolean]

17. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

18. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

19. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

20. #### val inferredInsertSize: Option[Long]

21. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

22. #### val mapq: Option[Int]

23. #### val mateAlignmentStart: Option[Long]

24. #### val mateContigName: Option[String]

25. #### val mateMapped: Option[Boolean]

26. #### val mateNegativeStrand: Option[Boolean]

27. #### val mismatchingPositions: Option[String]

28. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

29. #### final def notify(): Unit

    Definition Classes
      AnyRef

30. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

31. #### val oldCigar: Option[String]

32. #### val oldPosition: Option[Long]

33. #### val origQual: Option[String]

34. #### val primaryAlignment: Option[Boolean]

35. #### def productArity: Int

    Definition Classes
      AlignmentRecord → Product

36. #### def productElement(i: Int): Any

    Definition Classes
      AlignmentRecord → Product

37. #### def productIterator: Iterator[Any]

    Definition Classes
      Product

38. #### def productPrefix: String

    Definition Classes
      Product

39. #### val properPair: Option[Boolean]

40. #### val qual: Option[String]

41. #### val readInFragment: Option[Int]

42. #### val readMapped: Option[Boolean]

43. #### val readName: Option[String]

44. #### val readNegativeStrand: Option[Boolean]

45. #### val readPaired: Option[Boolean]

46. #### val recordGroupName: Option[String]

47. #### val recordGroupSample: Option[String]

48. #### val secondaryAlignment: Option[Boolean]

49. #### val sequence: Option[String]

50. #### val start: Option[Long]

51. #### val supplementaryAlignment: Option[Boolean]

52. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

53. #### def toAvro: formats.avro.AlignmentRecord

54. #### def toString(): String

    Definition Classes
      AnyRef → Any

55. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

56. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

57. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped